## indi 2.0.9+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
PROJECT(libindi C CXX)

# As moc files are generated in the binary dir, tell CMake
# to always look for includes there:
set(CMAKE_INCLUDE_CURRENT_DIR ON)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)
include(FeatureSummary)
include(CTest)

if(ANDROID OR "${CMAKE_SYSTEM_NAME}" STREQUAL "Android")
    set(ANDROID ON)
    add_definitions(-DANDROID)
endif()

include(CMakeCommon)
include(CheckSymbolExists)

# Clang Format support
if(UNIX OR APPLE)
    set(FORMAT_CODE OFF CACHE BOOL "Enable Clang Format")

    if(FORMAT_CODE MATCHES ON)
        FILE(GLOB_RECURSE ALL_SOURCE_FILES *.c *.cpp *.h)

        FOREACH(SOURCE_FILE ${ALL_SOURCE_FILES})
            STRING(FIND ${SOURCE_FILE} ${CMAKE_SOURCE_DIR} DIR_FOUND)

            if(NOT ${DIR_FOUND} EQUAL 0)
                LIST(REMOVE_ITEM ALL_SOURCE_FILES ${SOURCE_FILE})
            endif()
        ENDFOREACH()

        FIND_PROGRAM(CLANGFORMAT_EXE NAMES clang-format-5.0)

        if(CLANGFORMAT_EXE)
            ADD_CUSTOM_TARGET(clang-format COMMAND ${CLANGFORMAT_EXE} -style=file -i ${ALL_SOURCE_FILES})
        endif()
    endif()
endif()

# ####################################  INDI version  ################################################
set(CMAKE_INDI_VERSION_MAJOR 2)
set(CMAKE_INDI_VERSION_MINOR 0)
set(CMAKE_INDI_VERSION_RELEASE 9)

set(INDI_SOVERSION ${CMAKE_INDI_VERSION_MAJOR})
set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
set(INDI_VERSION ${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE})

execute_process(
    COMMAND git describe --tags
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_TAG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE GIT_TAG_RESULT
)

if(NOT ${GIT_TAG_RESULT} EQUAL 0)
    set(GIT_TAG "${CMAKE_INDI_VERSION_STRING}-tgz")
endif()

add_definitions(-DGIT_TAG_STRING=\"${GIT_TAG}\")

# #######################################  Paths  ###################################################
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")

if(APPLE)
    set(CMAKE_SHARED_LINKER_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

# #################################  Install Directories  ###########################################
# # the following are directories where stuff will be installed to
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_LIBDIR}/pkgconfig/")
set(UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")

set(PKG_CONFIG_LIBDIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

# ####################################  Build Options  ##############################################
# Select which components to build and what options to apply
OPTION(INDI_BUILD_SERVER "Build INDI Server" ON)
OPTION(INDI_BUILD_DRIVERS "Build INDI Drivers, Tools, and Examples" ON)
OPTION(INDI_BUILD_CLIENT "Build INDI POSIX Client" ON)
OPTION(INDI_BUILD_QT5_CLIENT "Build INDI Qt5 Client" OFF)
OPTION(INDI_BUILD_UNITTESTS "Build INDI tests" OFF)
OPTION(INDI_BUILD_INTEGTESTS "Build INDI integration tests" OFF)
OPTION(INDI_BUILD_WEBSOCKET "Build INDI with Websocket support" OFF)
OPTION(INDI_FAST_BLOB "Build INDI with Fast BLOB support" ON)
OPTION(INDI_BUILD_SHARED "Build shared library" ON)
OPTION(INDI_BUILD_STATIC "Build static library" ON)
OPTION(INDI_BUILD_XISF "Build XISF support" ON)

# System provided or bundled libs
OPTION(INDI_SYSTEM_HTTPLIB "Use system provided httplib" OFF)
OPTION(INDI_SYSTEM_JSONLIB "Use system provided json library" OFF)

if(UNIX AND NOT APPLE)
    OPTION(INDI_SHARED_MEMORY "Build INDI with support for UNIX protocol with shared memory" ON)
else()
    OPTION(INDI_SHARED_MEMORY "Build INDI with support for UNIX protocol with shared memory (require shm specific settings)" OFF)
endif()

OPTION(INDI_CALCULATE_MINMAX "Calculate and store image minimum and maximum values in FITS header" OFF)

set(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
check_symbol_exists(mremap sys/mman.h HAVE_MREMAP)

if(HAVE_MREMAP)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_MREMAP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_MREMAP")
endif()

# ##################################################################################################
# ########################################  Fast Blob  #############################################
# ##################################################################################################
if(INDI_FAST_BLOB)
    # Append ENCLEN attribute to outgoing BLOB elements to enable fast parsing by clients
    add_definitions(-DWITH_ENCLEN)
endif(INDI_FAST_BLOB)

# ##################################################################################################
# ###################################  UNIX protocol / SHM  ########################################
# ##################################################################################################
if(INDI_SHARED_MEMORY)
    if(APPLE)
        message(WARNING "Shared memory protocol require specific shared memory settings")
    else()
        add_definitions(-DENABLE_INDI_SHARED_MEMORY)
    endif()
endif()

# ##################################################################################################
# #####################################  Calculate Min/Max #########################################
# ##################################################################################################
if(INDI_CALCULATE_MINMAX)
    # Calculate Min/Max values to store them in FITS header
    add_definitions(-DWITH_MINMAX)
endif(INDI_CALCULATE_MINMAX)

# ##################################################################################################
# ####################################  Components  ################################################
# ##################################################################################################
set_package_properties(Nova PROPERTIES DESCRIPTION "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" URL "http://libnova.sourceforge.net" TYPE REQUIRED PURPOSE "Provides INDI with astrodynamics library.")
set_package_properties(CFITSIO PROPERTIES DESCRIPTION "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" URL "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE REQUIRED PURPOSE "Provides INDI with FITS I/O support.")

# ##################################################################################################
# #########  Put runtime files together in PE/COFF platforms to enable in-tree execution  ##########
# ##################################################################################################
if (WIN32 OR CYGWIN)
    if (NOT DEFINED CMAKE_RUNTIME_OUTPUT_DIRECTORY)
        set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/bin")
    endif ()
endif ()

# ##################################################################################################
# ####################################  Common Files  ##############################################
# ##################################################################################################
include_directories(libs)
install(FILES
    libs/indimacros.h
    DESTINATION
    ${INCLUDE_INSTALL_DIR}/libindi
    COMPONENT Devel
)

# ##################################################################################################
# ####################################  bundled libs  ##############################################
# ##################################################################################################
if(INDI_SYSTEM_HTTPLIB)
    find_package(httplib REQUIRED)
    include_directories(${HTTPLIB_INCLUDE_DIR})
    set(SYSTEM_HTTPLIB 1)
    message(STATUS "Using system provided httplib version ${HTTPLIB_VERSION}")
else()
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libs/httplib)
    set(SYSTEM_HTTPLIB 0)
    message(STATUS "Using bundled httplib")
endif(INDI_SYSTEM_HTTPLIB)

if(INDI_SYSTEM_JSONLIB)
    find_package(nlohmann_json REQUIRED)
    set(SYSTEM_JSONLIB 1)
    set(JSONLIB nlohmann_json::nlohmann_json)
    add_definitions(-D_USE_SYSTEM_JSONLIB)
    message(STATUS "Using system provided Niels Lohmann's json library")
else(INDI_SYSTEM_JSONLIB)
    set(SYSTEM_JSONLIB 0)
    set(JSONLIB "")
    message(STATUS "Using bundled json library")
endif(INDI_SYSTEM_JSONLIB)

# ###################################################################################################
#
# Component   : INDI Core
# Dependencies:
# Supported OS: All
#
# ##################################################################################################
add_subdirectory(libs/indicore)

# ##################################################################################################
#
# Component   : indidevice
# Dependencies: indicore
# Supported OS: All
#
# ##################################################################################################
add_subdirectory(libs/indidevice)

# ##################################################################################################
#
# Component   : indiabstractclient
# Dependencies: indicore, indidevice
# Supported OS: All
#
# ##################################################################################################
if(INDI_BUILD_CLIENT OR INDI_BUILD_QT5_CLIENT)
    add_subdirectory(libs/indiabstractclient)
endif()

# ##################################################################################################
#
# Component   : INDI Server
# Dependencies: pthreads
# Supported OS: Linux, BSD, MacOS, Cygwin
#
# ##################################################################################################
if(INDI_BUILD_SERVER)
    add_subdirectory(indiserver)
endif()

# ##################################################################################################
#
# Component   : INDI Client
# Dependencies: zlib, cfitsio
# Supported OS: Linux, BSD, MacOS, Windows, Cygwin
# N.B. Windows support pending migration of networking code
#
# ##################################################################################################
if(INDI_BUILD_CLIENT AND NOT ANDROID)
    message(STATUS "Building INDI Client")
    add_subdirectory(libs/sockets)
    add_subdirectory(libs/indiclient)
endif(INDI_BUILD_CLIENT AND NOT ANDROID)

# ##################################################################################################
#
# Component   : INDI Qt5 Client
# Dependencies: Qt5Network, zlib, cfitsio, Qt5Core
# Supported OS: Linux, BSD, MacOS, Cygwin, Windows, Android
#
# ##################################################################################################
if(INDI_BUILD_QT5_CLIENT)
    message(STATUS "Building INDI Client with Qt5 support")
    add_subdirectory(libs/indiclientqt)
endif(INDI_BUILD_QT5_CLIENT)

# ##################################################################################################
#
# Component   : Websocket
# Dependencies: libwebsocketpp, libboost, asio
# Supported OS: Linux, BSD, MacOS, Cygwin
#
# ##################################################################################################
if(INDI_BUILD_WEBSOCKET)
    find_package(websocketpp REQUIRED)
    find_package(Boost COMPONENTS system thread)
    include_directories(${Boost_INCLUDE_DIRS})
    add_definitions(-DHAVE_WEBSOCKET)
    set(HAVE_WEBSOCKET 1)
endif(INDI_BUILD_WEBSOCKET)

# ##################################################################################################
#
# Component   : INDI Drivers, Tools, and Examples

=== drivers/auxiliary/CMakeLists.txt ===
IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    INSTALL(FILES 99-indi_auxiliary.rules DESTINATION ${UDEVRULES_INSTALL_DIR})
ENDIF()
# ########## Terrans PowerBoxGo V2 ###############
SET(terranspowerboxgov2_SRC
    Terrans_PowerBoxGo_V2.cpp)

add_executable(indi_terrans_powerboxgo_v2 ${terranspowerboxgov2_SRC})
target_link_libraries(indi_terrans_powerboxgo_v2 indidriver)
install(TARGETS indi_terrans_powerboxgo_v2 RUNTIME DESTINATION bin)

# ########## Terrans PowerBoxPro V2 ###############
SET(terranspowerboxprov2_SRC
    Terrans_PowerBoxPro_V2.cpp)

add_executable(indi_terrans_powerboxpro_v2 ${terranspowerboxprov2_SRC})
target_link_libraries(indi_terrans_powerboxpro_v2 indidriver)
install(TARGETS indi_terrans_powerboxpro_v2 RUNTIME DESTINATION bin)

# ########## WandererCover V4-EC###############
SET(indi_wanderercover_v4_ec_SRC
    wanderer_cover_v4_ec.cpp)

add_executable(indi_wanderercover_v4_ec ${indi_wanderercover_v4_ec_SRC})
target_link_libraries(indi_wanderercover_v4_ec indidriver)
install(TARGETS indi_wanderercover_v4_ec RUNTIME DESTINATION bin)

# ########## Wanderer Box Plus V3 ###############
SET(indi_wandererbox_plus_v3_SRC
    wandererbox_plus_v3.cpp)

add_executable(indi_wandererbox_plus_v3 ${indi_wandererbox_plus_v3_SRC})
target_link_libraries(indi_wandererbox_plus_v3 indidriver)
install(TARGETS indi_wandererbox_plus_v3 RUNTIME DESTINATION bin)

# ########## Wanderer Box Pro V3 ###############
SET(indi_wandererbox_pro_v3_SRC
    wandererbox_pro_v3.cpp)

add_executable(indi_wandererbox_pro_v3 ${indi_wandererbox_pro_v3_SRC})
target_link_libraries(indi_wandererbox_pro_v3 indidriver)
install(TARGETS indi_wandererbox_pro_v3 RUNTIME DESTINATION bin)

# ########## Wanderer Cover V3 ###############
SET(wandererCover_SRC
    wanderer_cover.cpp)

add_executable(indi_wanderer_cover ${wandererCover_SRC})
target_link_libraries(indi_wanderer_cover indidriver)
install(TARGETS indi_wanderer_cover RUNTIME DESTINATION bin)

# ########## SkySafari Middleware ##############
IF(INDI_BUILD_CLIENT)
    SET(skysafari_SRC
        skysafari.cpp
        skysafariclient.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(skysafari skysafari_SRC 10 cpp)
    ENDIF()

    add_executable(indi_skysafari ${skysafari_SRC})
    target_link_libraries(indi_skysafari indidriver indiclient)
    install(TARGETS indi_skysafari RUNTIME DESTINATION bin)
ELSE()
    MESSAGE(WARNING "Skipping build of INDI SkySafari driver since INDI POSIX Client is not built")
ENDIF()

# ########## Watch dog ###############
if(INDI_BUILD_CLIENT)
    SET(watchdog_SRC
        watchdog.cpp
        watchdogclient.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(watchdog watchdog_SRC 10 cpp)
    ENDIF()

    add_executable(indi_watchdog ${watchdog_SRC})

    target_link_libraries(indi_watchdog indidriver indiclient)
    install(TARGETS indi_watchdog RUNTIME DESTINATION bin)
ELSE()
    MESSAGE(WARNING "Skipping build of INDI WatchDog driver since INDI POSIX Client is not built")
ENDIF()

# ########## Flip Flat & Flip Man Driver ###############
SET(flipflat_SRC
    flip_flat.cpp)

add_executable(indi_flipflat ${flipflat_SRC})
target_link_libraries(indi_flipflat indidriver)
install(TARGETS indi_flipflat RUNTIME DESTINATION bin)

# ########## Light Panel Simulator ###############
SET(lightpanelsimulator_SRC
    light_panel_simulator.cpp)

add_executable(indi_simulator_lightpanel ${lightpanelsimulator_SRC})
target_link_libraries(indi_simulator_lightpanel indidriver)
install(TARGETS indi_simulator_lightpanel RUNTIME DESTINATION bin)

# ########## Pegasus Ultimate Power Box Driver ###############
SET(pegasus_upb_SRC
    pegasus_upb.cpp)

add_executable(indi_pegasus_upb ${pegasus_upb_SRC})
target_link_libraries(indi_pegasus_upb indidriver)
install(TARGETS indi_pegasus_upb RUNTIME DESTINATION bin)

# ########## Pegasus USB Control Hub  ###############
SET(pegasus_uch_SRC
    pegasus_uch.cpp)

add_executable(indi_pegasus_uch ${pegasus_uch_SRC})
target_link_libraries(indi_pegasus_uch indidriver)
install(TARGETS indi_pegasus_uch RUNTIME DESTINATION bin)

# ########## Pegasus FlatMaster ###############
SET(pegasus_fm_SRC
    pegasus_flatmaster.cpp)

add_executable(indi_pegasus_flatmaster ${pegasus_fm_SRC})
target_link_libraries(indi_pegasus_flatmaster indidriver)
install(TARGETS indi_pegasus_flatmaster RUNTIME DESTINATION bin)

# ########## Pegasus Pocket Power Box Driver ###############
SET(pegasus_ppb_SRC
    pegasus_ppb.cpp)

add_executable(indi_pegasus_ppb ${pegasus_ppb_SRC})
target_link_libraries(indi_pegasus_ppb indidriver)
install(TARGETS indi_pegasus_ppb RUNTIME DESTINATION bin)

# ########## Pegasus Pocket Power Box Advance Driver ###############
SET(pegasus_ppba_SRC
    pegasus_ppba.cpp)

add_executable(indi_pegasus_ppba ${pegasus_ppba_SRC})
target_link_libraries(indi_pegasus_ppba indidriver)
install(TARGETS indi_pegasus_ppba RUNTIME DESTINATION bin)


# ########## Pegasus Saddle Power Box  Driver ###############
SET(pegasus_spb_SRC
    pegasus_spb.cpp)

add_executable(indi_pegasus_spb ${pegasus_spb_SRC})
target_link_libraries(indi_pegasus_spb indidriver)
install(TARGETS indi_pegasus_spb RUNTIME DESTINATION bin)

# ########## RB Focus Excalibur ###############
SET(Excalibur_SRC
    Excalibur.cpp)

add_executable(indi_Excalibur ${Excalibur_SRC})
target_link_libraries(indi_Excalibur indidriver)
install(TARGETS indi_Excalibur RUNTIME DESTINATION bin)

# ########## SnapCap Driver ###############
SET(snapcap_SRC
    snapcap.cpp)

add_executable(indi_snapcap ${snapcap_SRC})
target_link_libraries(indi_snapcap indidriver)
install(TARGETS indi_snapcap RUNTIME DESTINATION bin)

# ########## Light Pollution Meter #############
SET(lpm_SRC
    lpm.cpp)

add_executable(indi_astromech_lpm ${lpm_SRC})
target_link_libraries(indi_astromech_lpm indidriver)
install(TARGETS indi_astromech_lpm RUNTIME DESTINATION bin)


# ########## Astrolink Mini v2 #############
SET(astrolinkminiv2_SRC
    indi_astrolink4mini2.cpp)

add_executable(indi_astrolink4mini2 ${astrolinkminiv2_SRC})
target_link_libraries(indi_astrolink4mini2 indidriver)
install(TARGETS indi_astrolink4mini2 RUNTIME DESTINATION bin)


# ########## Sky Quality Meter ###############
SET(sqm_SRC
    sqm.cpp)

add_executable(indi_sqm_weather ${sqm_SRC})
target_link_libraries(indi_sqm_weather indidriver)
install(TARGETS indi_sqm_weather RUNTIME DESTINATION bin)

# ########## Sky Quality Meter Simulator ###############
SET(sqm_simulator_SRC
    sqm_simulator.cpp)

add_executable(indi_simulator_sqm ${sqm_simulator_SRC})
target_link_libraries(indi_simulator_sqm indidriver)
install(TARGETS indi_simulator_sqm RUNTIME DESTINATION bin)

# ########## Astrometry Driver ###############
SET(astrometry_SRC
    astrometrydriver.cpp)

add_executable(indi_astrometry ${astrometry_SRC})
target_link_libraries(indi_astrometry indidriver)
install(TARGETS indi_astrometry RUNTIME DESTINATION bin)

# ########## STAR2000 Driver ###############
SET(STAR2000_SRC
    STAR2kdriver.c
    STAR2000.cpp)

add_executable(indi_star2000 ${STAR2000_SRC})
target_link_libraries(indi_star2000 indidriver)
install(TARGETS indi_star2000 RUNTIME DESTINATION bin)

# ########## Arduino ST4 Driver ###############
SET(arduinost4_SRC arduino_st4.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(arduinost4 arduinost4_SRC 10 cpp)
ENDIF()

add_executable(indi_arduinost4 ${arduinost4_SRC})
target_link_libraries(indi_arduinost4 indidriver)
install(TARGETS indi_arduinost4 RUNTIME DESTINATION bin)

# ########## PlaneWave Delta-T Driver ###############
SET(planewave_deltat_SRC planewave_delta.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(indi_planewave_deltat planewave_deltat_SRC 10 cpp)
ENDIF()

add_executable(indi_planewave_deltat ${planewave_deltat_SRC})
target_link_libraries(indi_planewave_deltat indidriver)
install(TARGETS indi_planewave_deltat RUNTIME DESTINATION bin)

# ########## GPUSB Driver ###############
SET(gpusb_SRC
    gpdriver.cpp
    gpusb.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(gpusb gpusb_SRC 10 cpp)
ENDIF()

add_executable(indi_gpusb ${gpusb_SRC})
target_link_libraries(indi_gpusb indidriver)
install(TARGETS indi_gpusb RUNTIME DESTINATION bin)

# ########## Joystick Driver ###############
IF(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(joystick_SRC
        joystickdriver.cpp
        joystick.cpp)

    IF(UNITY_BUILD)
        ENABLE_UNITY_BUILD(joystick joystick_SRC 10 cpp)
    ENDIF()

    add_executable(indi_joystick ${joystick_SRC})
    target_link_libraries(indi_joystick indidriver)
    install(TARGETS indi_joystick RUNTIME DESTINATION bin)
ENDIF()

# ########## GPS Simulator Driver ###############
SET(gpssimulator_SRC
    gps_simulator.cpp)

add_executable(indi_simulator_gps ${gpssimulator_SRC})
target_link_libraries(indi_simulator_gps indidriver)
install(TARGETS indi_simulator_gps RUNTIME DESTINATION bin)

# ########## USB_Dewpoint Driver ###############
SET(usb_dewpoint_SRC
    usb_dewpoint.cpp)

add_executable(indi_usbdewpoint ${usb_dewpoint_SRC})
target_link_libraries(indi_usbdewpoint indidriver)
install(TARGETS indi_usbdewpoint RUNTIME DESTINATION bin)

# ########## myDewController Pro Driver ###############
SET(myDewControllerPro_SRC
    myDewControllerPro.cpp)

add_executable(indi_myDewControllerPro ${myDewControllerPro_SRC})
target_link_libraries(indi_myDewControllerPro indidriver)
install(TARGETS indi_myDewControllerPro RUNTIME DESTINATION bin)

# ########## CheapoDC Driver ###############
SET(cheapodc_SRC
    cheapodc.cpp)

add_executable(indi_cheapodc ${cheapodc_SRC})
target_link_libraries(indi_cheapodc indidriver)
install(TARGETS indi_cheapodc RUNTIME DESTINATION bin)

# ########## MYDCP4ESP32 Driver ###############
SET(mydcp4esp32_SRC
    mydcp4esp32.cpp)

add_executable(indi_mydcp4esp32 ${mydcp4esp32_SRC})
target_link_libraries(indi_mydcp4esp32 indidriver)
install(TARGETS indi_mydcp4esp32 RUNTIME DESTINATION bin)

# ########## Deep Sky Dad FP1 ###############
SET(deepskydad_fp1_SRC
    deepskydad_fp1.cpp)

add_executable(indi_deepskydad_fp1 ${deepskydad_fp1_SRC})
target_link_libraries(indi_deepskydad_fp1 indidriver)
install(TARGETS indi_deepskydad_fp1 RUNTIME DESTINATION bin)

# ########## GIOTTO ###############
SET(giotto_SRC
    giotto.cpp
    ../focuser/primalucacommandset.cpp
)

add_executable(indi_giotto ${giotto_SRC})
target_link_libraries(indi_giotto indidriver)
install(TARGETS indi_giotto RUNTIME DESTINATION bin)

# ########## ALTO ###############
SET(alto_SRC
    alto.cpp
    ../focuser/primalucacommandset.cpp
)

add_executable(indi_alto ${alto_SRC})
target_link_libraries(indi_alto indidriver)
install(TARGETS indi_alto RUNTIME DESTINATION bin)

# ########## DragonLIGHT ###############
SET(dragonlight_SRC
    dragonlight.cpp)

add_executable(indi_dragon_light ${dragonlight_SRC})
target_link_libraries(indi_dragon_light indidriver ${HTTPLIB_LIBRARY})
install(TARGETS indi_dragon_light RUNTIME DESTINATION bin)

# ########## Waveshare Relay ###############
SET(wavesharerelay_SRC
    waveshare_modbus_relay.cpp
    ../../libs/modbus/nanomodbus.c
    )

add_executable(indi_wavesharemodbus_relay ${wavesharerelay_SRC})
target_link_libraries(indi_wavesharemodbus_relay indidriver)
install(TARGETS indi_wavesharemodbus_relay RUNTIME DESTINATION bin)

=== debian/changelog ===
indi (2.0.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - old-libxisf.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 03 Aug 2024 08:54:18 +0200

indi (2.0.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - cmake-httplib-pkgconfig.diff: update/refresh, and simplify

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jun 2024 23:44:46 +0200

indi (2.0.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Temporary patch out new features of LibXISF until version 0.2.9 or greater
    is available in Debian; patch old-libxisf.diff.
  * Use the system version of cpp-httplib, instead of the embedded copy:
    - add the libcpp-httplib-dev build dependency
    - pass -DINDI_SYSTEM_HTTPLIB=ON to cmake
    - exclude 'libs/httplib' (the embedded copy) when repacking
    - use pkg-config to look for it, rather than relying on its CMake config
      file; patch cmake-httplib-pkgconfig.diff
  * Use the system version of nlohmann-json, instead of the embedded copy:
    - add the nlohmann-json3-dev build dependency
    - pass -DINDI_SYSTEM_JSONLIB=ON to cmake
    - exclude 'libs/indijson.hpp' (the embedded copy) when repacking
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 17:37:50 +0200

indi (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Aug 2023 06:51:22 +0200

indi (2.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_rawhideFix-add-missing-header-complained-about-with-.patch:
      drop, backported from upstream
    - hurd_include.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - add libxisf-dev
  * Update the binary packages according to the updated upstream SONAMEs:
    - libindidriver1 -> libindidriver2
    - libindialignmentdriver1 -> libindialignmentdriver2
    - libindilx200-1 -> libindilx200-2
    - libindiclient1 -> libindiclient2

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 09:00:00 +0200

=== debian/control ===
Source: indi
Section: misc
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.13~),
               debhelper-compat (= 13),
               libcfitsio-dev,
               libcpp-httplib-dev,
               libcurl4-gnutls-dev,
               libev-dev,
               libfftw3-dev,
               libgsl-dev,
               libjpeg-dev,
               libnova-dev (>= 0.16),
               libogg-dev,
               libtheora-dev,
               libusb-1.0-0-dev,
               libxisf-dev,
               nlohmann-json3-dev,
               pkgconf,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.indilib.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/indi

Package: libindidriver2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- driver library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the driver shared library.

Package: libindialignmentdriver2
Section: libs
Architecture: any
Depends: libindi-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- alignment driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the alignment driver shared library.

Package: libindilx200-2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- lx200 driver lib
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the lx200 driver shared library.

Package: libindiclient2
Section: libs
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- client library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the client shared library.

Package: libindi-plugins
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- plugins
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains binary plugins.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libcfitsio-dev,
         libusb-1.0-0-dev,
         ${so:Depends},
         ${misc:Depends}
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: libindi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

## indi 2.1.1+dfsg

=== debian/changelog ===
indi (2.1.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - old-libxisf.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 19:29:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

include /usr/share/dpkg/architecture.mk

archs_that_need_atomic = riscv64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_that_need_atomic)))
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

%:
	dh $@ --with sodeps

override_dh_auto_configure:
	dh_auto_configure -- -DINDI_SYSTEM_HTTPLIB=ON -DINDI_SYSTEM_JSONLIB=ON

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## indi 2.1.3%2Bdfsg

=== drivers/auxiliary/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,14 @@
 add_executable(indi_wanderercover_v4_ec ${indi_wanderercover_v4_ec_SRC})
 target_link_libraries(indi_wanderercover_v4_ec indidriver)
 install(TARGETS indi_wanderercover_v4_ec RUNTIME DESTINATION bin)
+
+# ########## Astrolink-4###############
+SET(indi_astrolink4_SRC
+    indi_astrolink4.cpp)
+
+add_executable(indi_astrolink4 ${indi_wanderercover_v4_ec_SRC})
+target_link_libraries(indi_astrolink4 indidriver)
+install(TARGETS indi_astrolink4 RUNTIME DESTINATION bin)
 
 # ########## Wanderer Box Plus V3 ###############
 SET(indi_wandererbox_plus_v3_SRC
@@ -100,6 +108,14 @@
 target_link_libraries(indi_simulator_lightpanel indidriver)
 install(TARGETS indi_simulator_lightpanel RUNTIME DESTINATION bin)
 
+# ########## Dust Cover Simulator ###############
+SET(dustcoversimulator_SRC
+    dust_cover_simulator.cpp)
+
+add_executable(indi_simulator_dustcover ${dustcoversimulator_SRC})
+target_link_libraries(indi_simulator_dustcover indidriver)
+install(TARGETS indi_simulator_dustcover RUNTIME DESTINATION bin)
+
 # ########## Pegasus Ultimate Power Box Driver ###############
 SET(pegasus_upb_SRC
     pegasus_upb.cpp)
@@ -306,13 +322,13 @@
 target_link_libraries(indi_mydcp4esp32 indidriver)
 install(TARGETS indi_mydcp4esp32 RUNTIME DESTINATION bin)
 
-# ########## Deep Sky Dad FP1 ###############
-SET(deepskydad_fp1_SRC
-    deepskydad_fp1.cpp)
-
-add_executable(indi_deepskydad_fp1 ${deepskydad_fp1_SRC})
-target_link_libraries(indi_deepskydad_fp1 indidriver)
-install(TARGETS indi_deepskydad_fp1 RUNTIME DESTINATION bin)
+# ########## Deep Sky Dad FP ###############
+SET(deepskydad_fp_SRC
+    deepskydad_fp.cpp)
+
+add_executable(indi_deepskydad_fp ${deepskydad_fp_SRC})
+target_link_libraries(indi_deepskydad_fp indidriver)
+install(TARGETS indi_deepskydad_fp RUNTIME DESTINATION bin)
 
 # ########## GIOTTO ###############
 SET(giotto_SRC
@@ -341,13 +357,3 @@
 add_executable(indi_dragon_light ${dragonlight_SRC})
 target_link_libraries(indi_dragon_light indidriver ${HTTPLIB_LIBRARY})
 install(TARGETS indi_dragon_light RUNTIME DESTINATION bin)
-
-# ########## Waveshare Relay ###############
-SET(wavesharerelay_SRC
-    waveshare_modbus_relay.cpp
-    ../../libs/modbus/nanomodbus.c
-    )
-
-add_executable(indi_wavesharemodbus_relay ${wavesharerelay_SRC})
-target_link_libraries(indi_wavesharemodbus_relay indidriver)
-install(TARGETS indi_wavesharemodbus_relay RUNTIME DESTINATION bin)

=== drivers/weather/CMakeLists.txt ===
# ########## Weather Simulator ###############

SET(weathersimulator_SRC
    weathersimulator.cpp)

add_executable(indi_simulator_weather ${weathersimulator_SRC})
target_link_libraries(indi_simulator_weather indidriver)
install(TARGETS indi_simulator_weather RUNTIME DESTINATION bin)

# ########## Weather Meta Driver ###############
SET(weathermeta_SRC
    weathermeta.cpp)

add_executable(indi_meta_weather ${weathermeta_SRC})
target_link_libraries(indi_meta_weather indidriver)
install(TARGETS indi_meta_weather RUNTIME DESTINATION bin)

# ########## Weather File Watcher ###############
SET(weatherwatcher_SRC
    weatherwatcher.cpp)

add_executable(indi_watcher_weather ${weatherwatcher_SRC})
target_link_libraries(indi_watcher_weather indidriver ${CURL})
install(TARGETS indi_watcher_weather RUNTIME DESTINATION bin)

# ########## AAGSolo Weather Station ###############
SET(aagsolo_SRC
    aagsolo.cpp)

add_executable(indi_aagsolo_weather ${aagsolo_SRC})
target_link_libraries(indi_aagsolo_weather indidriver ${CURL})
install(TARGETS indi_aagsolo_weather RUNTIME DESTINATION bin)

# ########## Weather Safety Proxy ###############
SET(weathersafetyproxy_SRC
    weather_safety_proxy.cpp)
add_executable(indi_weather_safety_proxy ${weathersafetyproxy_SRC})
target_link_libraries(indi_weather_safety_proxy indidriver ${CURL} ${JSONLIB})
install(TARGETS indi_weather_safety_proxy RUNTIME DESTINATION bin)

# ########## MBox Driver ###############
SET(mbox_SRC
    mbox.cpp)

add_executable(indi_mbox_weather ${mbox_SRC})
target_link_libraries(indi_mbox_weather indidriver)
install(TARGETS indi_mbox_weather RUNTIME DESTINATION bin)

# ########## Pegasus Uranus Meteo Driver ###############
SET(uranusmeteo_SRC
    uranusmeteo.cpp)

add_executable(indi_uranus_weather ${uranusmeteo_SRC})
target_link_libraries(indi_uranus_weather indidriver)
install(TARGETS indi_uranus_weather RUNTIME DESTINATION bin)

# ########## Vantage Driver ###############
SET(vantage_SRC
    vantage.cpp)

add_executable(indi_vantage_weather ${vantage_SRC})
target_link_libraries(indi_vantage_weather indidriver)
install(TARGETS indi_vantage_weather RUNTIME DESTINATION bin)

# ########## OpenWeatherMap Driver ###############
SET(OpenWeatherMap_SRC
    openweathermap.cpp)

IF(UNITY_BUILD)
    ENABLE_UNITY_BUILD(OpenWeatherMap OpenWeatherMap_SRC 10 cpp)
ENDIF()

add_executable(indi_openweathermap_weather ${OpenWeatherMap_SRC})
target_link_libraries(indi_openweathermap_weather indidriver ${CURL} ${JSONLIB})
install(TARGETS indi_openweathermap_weather RUNTIME DESTINATION bin)

# ########## Weather safety alpaca ###############
SET(WeatherSafetyAlpaca_SRC
    weather_safety_alpaca.cpp)

add_executable(indi_weather_safety_alpaca ${WeatherSafetyAlpaca_SRC})
target_link_libraries(indi_weather_safety_alpaca indidriver indiclient)
install(TARGETS indi_weather_safety_alpaca RUNTIME DESTINATION bin)

=== debian/changelog ===
indi (2.1.3+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Apr 2025 01:18:00 -0700

indi (2.1.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Make sure that the indi_alpaca_dome, and indi_weather_safety_alpaca drivers
    link to httplib, as they use that library; patch cmake-link-httplib.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Apr 2025 08:10:26 +0200

indi (2.1.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Feb 2025 11:47:36 +0100

indi (2.1.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Since LibXISF >= 0.2.9 is now available in Debian, then:
    - bump the libxisf-dev build dependency to 0.2.9
    - drop the patch old-libxisf.diff

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 08:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: indi
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
                libcfitsio-dev,
@@ -16,10 +17,10 @@
                libogg-dev,
                libtheora-dev,
                libusb-1.0-0-dev,
-               libxisf-dev,
+               libxisf-dev (>= 0.2.9),
                nlohmann-json3-dev,
+               pkg-kde-tools (>= 0.12),
                pkgconf,
-               pkg-kde-tools (>= 0.12),
                zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -113,10 +114,7 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libcfitsio-dev,
-         libusb-1.0-0-dev,
-         ${so:Depends},
-         ${misc:Depends}
+Depends: libcfitsio-dev, libusb-1.0-0-dev, ${misc:Depends}, ${so:Depends}
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,8 @@
 
 override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
 	dh_gencontrol -a
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
